diff --git a/hubs/widgets/halp/utils.py b/hubs/widgets/halp/utils.py
index 86a5f00..4d4c210 100644
--- a/hubs/widgets/halp/utils.py
+++ b/hubs/widgets/halp/utils.py
@@ -1,5 +1,7 @@
 from __future__ import unicode_literals
 
+import flask
+
 from hubs.models import Hub, HubConfig
 
 
@@ -8,6 +10,10 @@ def find_hubs_for_msg(msg):
     Returns the hubs working in the given channel.
 
     TODO: link meeting channels to the hub using them at that time.
+
+    Args:
+        msg (dict): the ``msg`` value in the raw message dict sent through
+            Fedmsg.
     """
     return [
         h[0] for h in
@@ -15,3 +21,60 @@ def find_hubs_for_msg(msg):
             HubConfig.chat_channel == msg["channel"]
         ).values(Hub.name)
         ]
+
+
+def paginate(values, per_page):
+    """Paginate the values.
+
+    The requested page will be extracted from the ``page`` query string
+    element.
+
+    The returned value will be a tuple with two elements:
+
+    - the paginated values
+    - the page information
+
+    The page information is a dictionary with the following keys:
+
+    - ``nr``: the page number
+    - ``has_prev``: ``True`` if there is a previous page, ``False`` otherwise
+    - ``has_next``: ``True`` if there is a following page, ``False`` otherwise
+    - ``total_entries``: the total number of entries in the ``values`` argument
+    - ``total_pages``: the total number of pages
+
+    Args:
+        values (list or query): The list or SQLAlchemy query object to
+            paginate.
+        per_page (int): the number of elements per page.
+
+    Returns:
+        tuple: a tuple containing the paginated values and the page
+            information.
+    """
+    try:
+        total = values.count()
+    except TypeError:
+        total = len(values)
+    try:
+        page = flask.request.values.get("page", 1, int)
+    except ValueError:
+        page = 1
+    last_page = int(total / per_page)
+    if total > last_page * per_page:
+        last_page += 1
+    if last_page < 1:
+        last_page = 1
+    if page < 1:
+        page = 1
+    if page > last_page:
+        page = last_page
+    start = (page - 1) * per_page
+    end = start + per_page
+    page_data = {
+        "nr": page,
+        "has_prev": page > 1,
+        "has_next": page < last_page,
+        "total_entries": total,
+        "total_pages": last_page,
+    }
+    return values[start:end], page_data
diff --git a/hubs/widgets/halp/views.py b/hubs/widgets/halp/views.py
index 3c992f4..264da3d 100644
--- a/hubs/widgets/halp/views.py
+++ b/hubs/widgets/halp/views.py
@@ -1,8 +1,9 @@
 from __future__ import unicode_literals, absolute_import
 
 import datetime
-import flask
 import time
+
+import flask
 from flask.signals import template_rendered, before_render_template
 
 from hubs.models import Hub
@@ -10,40 +11,11 @@ from hubs.views.utils import get_hub
 from hubs.widgets import registry
 from hubs.widgets.base import WidgetView
 from .functions import GetRequests
-from .utils import find_hubs_for_msg
-
-
-def paginate(values, per_page):
-    try:
-        total = values.count()
-    except TypeError:
-        total = len(values)
-    try:
-        page = flask.request.values.get("page", 1, int)
-    except ValueError:
-        page = 1
-    last_page = int(total / per_page)
-    if total > last_page * per_page:
-        last_page += 1
-    if last_page < 1:
-        last_page = 1
-    if page < 1:
-        page = 1
-    if page > last_page:
-        page = last_page
-    start = (page - 1) * per_page
-    end = start + per_page
-    page_data = {
-        "nr": page,
-        "has_prev": page > 1,
-        "has_next": page < last_page,
-        "total_entries": total,
-        "total_pages": last_page,
-    }
-    return values[start:end], page_data
+from .utils import find_hubs_for_msg, paginate
 
 
 class BaseView(WidgetView):
+    """The base view to instantiate the widget."""
 
     name = "root"
     url_rules = ["/"]
@@ -57,15 +29,12 @@ class BaseView(WidgetView):
 
 
 class DataView(WidgetView):
+    """Get the requests in JSON format."""
 
     name = "data"
     url_rules = ["data"]
 
     def dispatch_request(self, *args, **kwargs):
-        """
-        The method that subclasses of :py:class:`flask.views.View` must
-        implement. It binds the other methods together.
-        """
         instance = self._get_instance(*args, **kwargs)
         get_requests = GetRequests(instance)
         data = {"requests": []}
@@ -90,16 +59,13 @@ class DataView(WidgetView):
 
 
 class SearchView(WidgetView):
+    """Search the requests and return the result as JSON."""
 
     name = "search"
     url_rules = ["search"]
     methods = ['GET', 'POST']
 
     def dispatch_request(self, *args, **kwargs):
-        """
-        The method that subclasses of :py:class:`flask.views.View` must
-        implement. It binds the other methods together.
-        """
         instance = self._get_instance(*args, **kwargs)
         get_requests = GetRequests(instance)
         # prepare filters
@@ -150,26 +116,21 @@ class SearchView(WidgetView):
 
 
 class RequestersView(WidgetView):
-    """
-    Returns suggestions for the "requesters" filter.
-    """
+    """Returns suggestions for the "requesters" filter."""
 
     name = "requesters"
     url_rules = ["requesters"]
     MAX_SUGGESTS = 5
 
     def dispatch_request(self, *args, **kwargs):
-        """
-        The method that subclasses of :py:class:`flask.views.View` must
-        implement. It binds the other methods together.
-        """
         instance = self._get_instance(*args, **kwargs)
         get_requests = GetRequests(instance)
         results = set([
             req["author"]["name"] for req in get_requests()
-            if req["author"]["name"].startswith(
-                flask.request.args.get("q"))
             ])
+        query = flask.request.args.get("q")
+        if query:
+            results = [name for name in results if name.startswith(query)]
         results = sorted(list(results))[:self.MAX_SUGGESTS]
         return flask.jsonify({"results": results})
 
diff --git a/hubs/widgets/validators.py b/hubs/widgets/validators.py
index f1dcea7..780a3d4 100644
--- a/hubs/widgets/validators.py
+++ b/hubs/widgets/validators.py
@@ -151,6 +151,13 @@ class FedorahostedProject(Validator):
 
 
 class CommaSeparatedList(Validator):
+    """Fails if the value isn't a comma-separated list.
+
+    The value will be converted to a Python list. If there is no comma in the
+    original value, it will produce a list with a single element. Whitespaces
+    will be stripped from the elements, so spaces are allowed around the
+    commas.
+    """
 
     @classmethod
     def from_string(cls, value):

